pepperflash.sh on lubuntu 16.04

Доброго всім часу сутінок.

При обновленні свого старенького ноута зіткнувся з наступною проблемою: flash плагін не працює не зважаючи на всі мої зусилля і пошук у мережі можливих рішень. Отже у мене Acer extensa 5220 ОС — Lubuntu 16.04. Після оновлення до 16.04 виникла помилка.

Незважаючи на спроби повторного встановлення і перестановки результатів не дало. При запуску браузерів chromium i firefox видаються помилки про відсутність плагіну: /etc/chromium-browser/default: line 6: /usr/lib/pepflashplugin-installer/pepflashplayer.sh: No such file or directory — chromium i failed to load libpepflashplayer.so firefox

Я не знайшов цього скріпта в мережі, але якщо хто знає підскажіть що писати і які файли ще мають бути в директорії.

Якщо хтось стикався чи може допомогти з рішенням — буду вдячний за допомогу. Варіанти зміни ОС чи викинь комп не розглялаються.

👍НравитсяПонравилось0
В избранноеВ избранном0
LinkedIn
Допустимые теги: blockquote, a, pre, code, ul, ol, li, b, i, del.
Ctrl + Enter
Допустимые теги: blockquote, a, pre, code, ul, ol, li, b, i, del.
Ctrl + Enter

$ sudo apt install pepperflashplugin-nonfree browser-plugin-freshplayer-pepperflash
$ rm /usr/lib/flashplugin-installer/libflashplayer.so
$ ln -s /usr/lib/browser-plugin-freshplayer-pepperflash/libfreshwrapper-flashplayer.so /etc/alternatives/mozilla-flashplugin
$ ln -s /usr/lib/browser-plugin-freshplayer-pepperflash/libfreshwrapper-flashplayer.so /etc/alternatives/flash-mozilla.so

Або використовуй Chrome він йде з вбудованим флешем.

Вибачте за дурне запитання, але як щодо chromium

cпробуй:
$ echo "export PEPPER_FLASH_VERSION=$(grep ’"version":’ /usr/lib/pepperflashplugin-nonfree/manifest.json| grep -Po ’(?<=version“: “)(?:\d|\.)*’)” >> /home/$USER/.profile

потім відредагуй конфіг
sudo vim /etc/chromium-browser/default
додай замість CHROMIUM_FLAGS=""

CHROMIUM_FLAGS="—ppapi-flash-path=/usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so
—ppapi-flash-version=$PEPPER_FLASH_VERSION"

Не розумію, навіть після всіх дій ніякого ефекту. У chromium просто показує «Не вдалося завантажити плагін» y Firefox все так же не знаходить libpepflashplayer.so. При спробі оновити пакет у терміналі видає повідомлення, що найновіша версія уже встановлена, але реально у папці плагіну окрім текствого файлу з ключами Гугл зашифрованими, ніяких скріптів чи інших файлів. Може треба створити якусь додаткову теку і додати файли роботи плагіну?

help.ubuntu.ru/wiki/flash — вот тут варианты флеш-плееров для убунты (есть и рецептик для pepperflash). Может что-то из них поможет...

Подписаться на комментарии